Overview
GET
/processing/webhooks/{id}/deliveriesprocessingList delivery attempts for a webhook endpoint
Returns up to 200 delivery-attempt rows for the endpoint, newest first. Returns 404 when the endpoint is not found, soft-deleted, or belongs to another ecosystem.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Delivery attempts
- deliveriesAiProcessingWebhookDelivery[]
Example
{
"deliveries": [
{
"id": "string",
"ecosystemId": "string",
"endpointId": "string",
"eventId": "string",
"eventType": "string",
"payload": {},
"status": "string",
"attempts": 0,
"maxAttempts": 0,
"nextAttemptAt": "string",
"responseStatus": 0,
"lastError": "string",
"deliveredAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/processing/webhooks/{id}/deliveries" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/processing/webhooks/{id}/deliveries", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();